# Class TestHookContext < BaseContext

- app/contexts/test_hook_context.rb

Methods

E
  - execute

Instance Public methods
execute() Link

Source: show

    # File app/contexts/test_hook_context.rb, line 2
    def execute
      hook = project.hooks.find(params[:id])
      commits = project.commits(project.default_branch, nil, 3)
      data = project.post_receive_data(commits.last.id, commits.first.id, "refs/heads/#{project.default_branch}", current_user)
      hook.execute(data)
    end